package com.zhongdao.jlr.business.vo;

import java.util.Date;

/**
 * Created by TEC2 on 2017/6/7.
 */
public class UserOrderViewVO {
	private String companyname;
	private String companycode;
	private String servercarname;
	private String servicesname;
	private String contractcompanyname;

	private int id;
	private int rescue_vehicle_binding;
	private int vehicle_user_id;
	private int rescue_vehicle_user_id;
	private int state;
	private String address;
	private double lon;
	private double lat;

	private int service_id;
	private String situation_describe;
	private String address_property;
	private int flow_id;
	private String order_source;
	private String userName;
	private String userPhone;
	private int range;
	private int refuse_times;
	private int find_overTime;
	private int accept_overTime;
	private int km_per;
	private int has_refuse_times;
	private String refuse_vehicle_ids;
	private int score;
	private String create_user;
	private Date update_time;
	private String score_content;
	private String code;
	private String contract_code;
	private String identity;
	private String license;
	private String frame_code;
	private String style;
	private String brands;
	private String fail_reason;
	private int create_flag;
	private int create_rescue_company;
	private String settle;
	private String  create_time;
	private Date appoint_time;
	private String area_code;
	private Date accept_time;
	private Date finish_time;
	private String contract_company_code;
	private int order_type;
	private int is_settle;
	private String special_organize;
	private String dest_address;
	private String dest_describe;
	private double dest_lon;
	private double dest_lat;
	private String service_staff_name;
	private String service_staff_phone;
	private int discount_type;
	private int settle_type;
	private String extra_pay;
	private int MILEAGE2;
	private int REF_MILEAGE2;
	private String remark;
	private String contracting_code;
	private Date expect_arrive_time;
	private String frist_deal;

	private int giveup_state;
	private int is_audit;
	private String report_phone;
	private int dispatch_type;
	private String checker_name;
	private String checker_phone;
	private String serviceEndTime;

	private String serviceType;
	private String abbr_code;

	public String getServiceType() {
		return serviceType;
	}

	public void setServiceType(String serviceType) {
		this.serviceType = serviceType;
	}

	public String getServiceEndTime() {
		return serviceEndTime;
	}

	public void setServiceEndTime(String  serviceEndTime) {
		this.serviceEndTime = serviceEndTime;
	}

	public String getChecker_name() {
		return checker_name;
	}

	public void setChecker_name(String checker_name) {
		this.checker_name = checker_name;
	}

	public String getChecker_phone() {
		return checker_phone;
	}

	public void setChecker_phone(String checker_phone) {
		this.checker_phone = checker_phone;
	}

	public int getDispatch_type() {
		return dispatch_type;
	}

	public void setDispatch_type(int dispatch_type) {
		this.dispatch_type = dispatch_type;
	}

	public String getReport_phone() {
		return report_phone;
	}

	public void setReport_phone(String report_phone) {
		this.report_phone = report_phone;
	}

	public int getGiveup_state() {
		return giveup_state;
	}

	public void setGiveup_state(int giveup_state) {
		this.giveup_state = giveup_state;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getRescue_vehicle_binding() {
		return rescue_vehicle_binding;
	}

	public void setRescue_vehicle_binding(int rescue_vehicle_binding) {
		this.rescue_vehicle_binding = rescue_vehicle_binding;
	}

	public int getVehicle_user_id() {
		return vehicle_user_id;
	}

	public void setVehicle_user_id(int vehicle_user_id) {
		this.vehicle_user_id = vehicle_user_id;
	}

	public int getRescue_vehicle_user_id() {
		return rescue_vehicle_user_id;
	}

	public void setRescue_vehicle_user_id(int rescue_vehicle_user_id) {
		this.rescue_vehicle_user_id = rescue_vehicle_user_id;
	}

	public int getState() {
		return state;
	}

	public void setState(int state) {
		this.state = state;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public double getLon() {
		return lon;
	}

	public void setLon(double lon) {
		this.lon = lon;
	}

	public double getLat() {
		return lat;
	}

	public void setLat(double lat) {
		this.lat = lat;
	}

	public int getService_id() {
		return service_id;

	}

	public void setService_id(int service_id) {
		this.service_id = service_id;
	}

	public String getSituation_describe() {
		return situation_describe;
	}

	public void setSituation_describe(String situation_describe) {
		this.situation_describe = situation_describe;
	}

	public String getAddress_property() {
		return address_property;
	}

	public void setAddress_property(String address_property) {
		this.address_property = address_property;
	}

	public int getFlow_id() {
		return flow_id;
	}

	public void setFlow_id(int flow_id) {
		this.flow_id = flow_id;
	}

	public String getOrder_source() {
		return order_source;
	}

	public void setOrder_source(String order_source) {
		this.order_source = order_source;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserPhone() {
		return userPhone;
	}

	public void setUserPhone(String userPhone) {
		this.userPhone = userPhone;
	}

	public int getRange() {
		return range;
	}

	public void setRange(int range) {
		this.range = range;
	}

	public int getRefuse_times() {
		return refuse_times;
	}

	public void setRefuse_times(int refuse_times) {
		this.refuse_times = refuse_times;
	}

	public int getFind_overTime() {
		return find_overTime;
	}

	public void setFind_overTime(int find_overTime) {
		this.find_overTime = find_overTime;
	}

	public int getAccept_overTime() {
		return accept_overTime;
	}

	public void setAccept_overTime(int accept_overTime) {
		this.accept_overTime = accept_overTime;
	}

	public int getKm_per() {
		return km_per;
	}

	public void setKm_per(int km_per) {
		this.km_per = km_per;
	}

	public int getHas_refuse_times() {
		return has_refuse_times;
	}

	public void setHas_refuse_times(int has_refuse_times) {
		this.has_refuse_times = has_refuse_times;
	}

	public String getRefuse_vehicle_ids() {
		return refuse_vehicle_ids;
	}

	public void setRefuse_vehicle_ids(String refuse_vehicle_ids) {
		this.refuse_vehicle_ids = refuse_vehicle_ids;
	}

	public int getScore() {
		return score;
	}

	public void setScore(int score) {
		this.score = score;
	}

	public String getCreate_user() {
		return create_user;
	}

	public void setCreate_user(String create_user) {
		this.create_user = create_user;
	}

	public Date getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	public String getScore_content() {
		return score_content;
	}

	public void setScore_content(String score_content) {
		this.score_content = score_content;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getContract_code() {
		return contract_code;
	}

	public void setContract_code(String contract_code) {
		this.contract_code = contract_code;
	}

	public String getIdentity() {
		return identity;
	}

	public void setIdentity(String identity) {
		this.identity = identity;
	}

	public String getLicense() {
		return license;
	}

	public void setLicense(String license) {
		this.license = license;
	}

	public String getFrame_code() {
		return frame_code;
	}

	public void setFrame_code(String frame_code) {
		this.frame_code = frame_code;
	}

	public String getStyle() {
		return style;
	}

	public void setStyle(String style) {
		this.style = style;
	}

	public String getBrands() {
		return brands;
	}

	public void setBrands(String brands) {
		this.brands = brands;
	}

	public String getFail_reason() {
		return fail_reason;
	}

	public void setFail_reason(String fail_reason) {
		this.fail_reason = fail_reason;
	}

	public int getCreate_flag() {
		return create_flag;
	}

	public void setCreate_flag(int create_flag) {
		this.create_flag = create_flag;
	}

	public int getCreate_rescue_company() {
		return create_rescue_company;
	}

	public void setCreate_rescue_company(int create_rescue_company) {
		this.create_rescue_company = create_rescue_company;
	}

	public String getSettle() {
		return settle;
	}

	public void setSettle(String settle) {
		this.settle = settle;
	}

	public String getCreate_time() {
		return create_time;
	}

	public void setCreate_time(String  create_time) {
		this.create_time = create_time;
	}

	public Date getAppoint_time() {
		return appoint_time;
	}

	public void setAppoint_time(Date appoint_time) {
		this.appoint_time = appoint_time;
	}

	public String getArea_code() {
		return area_code;
	}

	public void setArea_code(String area_code) {
		this.area_code = area_code;
	}

	public Date getAccept_time() {
		return accept_time;
	}

	public void setAccept_time(Date accept_time) {
		this.accept_time = accept_time;
	}

	public Date getFinish_time() {
		return finish_time;
	}

	public void setFinish_time(Date finish_time) {
		this.finish_time = finish_time;
	}

	public String getContract_company_code() {
		return contract_company_code;
	}

	public void setContract_company_code(String contract_company_code) {
		this.contract_company_code = contract_company_code;
	}

	public int getOrder_type() {
		return order_type;
	}

	public void setOrder_type(int order_type) {
		this.order_type = order_type;
	}

	public String getCompanyname() {
		return companyname;
	}

	public void setCompanyname(String companyname) {
		this.companyname = companyname;
	}

	public String getCompanycode() {
		return companycode;
	}

	public void setCompanycode(String companycode) {
		this.companycode = companycode;
	}

	public String getServercarname() {
		return servercarname;
	}

	public void setServercarname(String servercarname) {
		this.servercarname = servercarname;
	}

	public String getServicesname() {
		return servicesname;
	}

	public void setServicesname(String servicesname) {
		this.servicesname = servicesname;
	}

	public String getContractcompanyname() {
		return contractcompanyname;
	}

	public void setContractcompanyname(String contractcompanyname) {
		this.contractcompanyname = contractcompanyname;
	}

	public String getService_staff_phone() {
		return service_staff_phone;
	}

	public void setService_staff_phone(String service_staff_phone) {
		this.service_staff_phone = service_staff_phone;
	}

	public int getIs_settle() {
		return is_settle;
	}

	public void setIs_settle(int is_settle) {
		this.is_settle = is_settle;
	}

	public String getSpecial_organize() {
		return special_organize;
	}

	public void setSpecial_organize(String special_organize) {
		this.special_organize = special_organize;
	}

	public String getDest_address() {
		return dest_address;
	}

	public void setDest_address(String dest_address) {
		this.dest_address = dest_address;
	}

	public String getDest_describe() {
		return dest_describe;
	}

	public void setDest_describe(String dest_describe) {
		this.dest_describe = dest_describe;
	}

	public double getDest_lon() {
		return dest_lon;
	}

	public void setDest_lon(double dest_lon) {
		this.dest_lon = dest_lon;
	}

	public double getDest_lat() {
		return dest_lat;
	}

	public void setDest_lat(double dest_lat) {
		this.dest_lat = dest_lat;
	}

	public String getService_staff_name() {
		return service_staff_name;
	}

	public void setService_staff_name(String service_staff_name) {
		this.service_staff_name = service_staff_name;
	}

	public int getDiscount_type() {
		return discount_type;
	}

	public void setDiscount_type(int discount_type) {
		this.discount_type = discount_type;
	}

	public int getSettle_type() {
		return settle_type;
	}

	public void setSettle_type(int settle_type) {
		this.settle_type = settle_type;
	}

	public String getExtra_pay() {
		return extra_pay;
	}

	public void setExtra_pay(String extra_pay) {
		this.extra_pay = extra_pay;
	}

	public int getMILEAGE2() {
		return MILEAGE2;
	}

	public void setMILEAGE2(int mILEAGE2) {
		MILEAGE2 = mILEAGE2;
	}

	public int getREF_MILEAGE2() {
		return REF_MILEAGE2;
	}

	public void setREF_MILEAGE2(int rEF_MILEAGE2) {
		REF_MILEAGE2 = rEF_MILEAGE2;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getContracting_code() {
		return contracting_code;
	}

	public void setContracting_code(String contracting_code) {
		this.contracting_code = contracting_code;
	}

	public Date getExpect_arrive_time() {
		return expect_arrive_time;
	}

	public void setExpect_arrive_time(Date expect_arrive_time) {
		this.expect_arrive_time = expect_arrive_time;
	}

	public String getFrist_deal() {
		return frist_deal;
	}

	public void setFrist_deal(String frist_deal) {
		this.frist_deal = frist_deal;
	}

	public int getIs_audit() {
		return is_audit;
	}

	public void setIs_audit(int is_audit) {
		this.is_audit = is_audit;
	}

	public String getAbbr_code() {
		return abbr_code;
	}

	public void setAbbr_code(String abbr_code) {
		this.abbr_code = abbr_code;
	}
}
